import { JsonRpc } from 'eosjs';
import { DfuseClient } from "@dfuse/client";
import { SXVault, SXVaultGrowth } from './interfaces';
export declare function get_vault(rpc: JsonRpc, symcode: string): Promise<SXVault>;
export declare function get_vault_dfuse(client: DfuseClient, symcode: string, block_num: number): Promise<SXVault>;
export declare function get_vault_growth(client: DfuseClient, symcode: string, block_num: number, block_num_delta?: number): Promise<SXVaultGrowth>;
