import { DfuseClient } from "@dfuse/client";
import { JsonRpc } from 'eosjs';
import { SXCurvePairs, SXCurveGrowth } from "./interfaces";
export declare function get_curve(rpc: JsonRpc, symcode: string): Promise<SXCurvePairs>;
export declare function get_curve_dfuse(client: DfuseClient, symcode: string, block_num: number): Promise<SXCurvePairs>;
export declare function get_curve_growth(client: DfuseClient, symcode: string, block_num: number, block_num_delta?: number, trade_fee?: number, protocol_fee?: number): Promise<SXCurveGrowth>;
