import { DfuseClient } from "@dfuse/client";
import { JsonRpc } from 'eosjs';
import { SXUsdxLiquidity, SXUsdxGrowth } from "./interfaces";
export declare function get_usdx(rpc: JsonRpc): Promise<SXUsdxLiquidity>;
export declare function get_usdx_dfuse(client: DfuseClient, block_num: number): Promise<SXUsdxLiquidity>;
export declare function get_usdx_growth(client: DfuseClient, block_num: number, block_num_delta?: number): Promise<SXUsdxGrowth>;
